org.deidentifier.arx.metric.v2

## Class ILSingleDimensionalWithBound

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLossWithBound<ILSingleDimensional>
  - - org.deidentifier.arx.metric.v2.ILSingleDimensionalWithBound

    public class ILSingleDimensionalWithBound
    extends InformationLossWithBound<ILSingleDimensional>

Information loss with a potential lower bound.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ILSingleDimensionalWithBound(double informationLoss)` Creates a new instance without a lower bound.
`ILSingleDimensionalWithBound(double informationLoss, double lowerBound)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.metric.InformationLossWithBound

`getInformationLoss, getLowerBound, hasLowerBound`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ILSingleDimensionalWithBound

    public ILSingleDimensionalWithBound(double informationLoss)

Creates a new instance without a lower bound.

Parameters:
  `informationLoss` -

#### ILSingleDimensionalWithBound

    public ILSingleDimensionalWithBound(double informationLoss,
                                        double lowerBound)

Creates a new instance.

Parameters:
  `informationLoss` -
  `lowerBound` -